# Uses of Class
org.springframework.beans.factory.config.NamedBeanHolder

Packages that use NamedBeanHolder
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of NamedBeanHolder in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return NamedBeanHolder
Modifier and Type
Method
Description
`<T> NamedBeanHolder<T>`
AutowireCapableBeanFactory.`resolveNamedBean(Class<T> requiredType)`
Resolve the bean instance that uniquely matches the given object type, if any, including its bean name.

## Uses of NamedBeanHolder in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return NamedBeanHolder
Modifier and Type
Method
Description
`<T> NamedBeanHolder<T>`
DefaultListableBeanFactory.`resolveNamedBean(Class<T> requiredType)`